Last-Update: 2015-04-26
Forwarded: not-needed
Author: Dmitry Smirnov <onlyjob@member.fsf.org>
Description: debianisation of zabbix-java-gateway

--- a/src/zabbix_java/Makefile.am
+++ b/src/zabbix_java/Makefile.am
@@ -8,9 +8,9 @@
 	shutdown.sh \
 	startup.sh
 
-ZJG = bin/zabbix-java-gateway-$(VERSION).jar
-LIB = lib/android-json-4.3_r3.1.jar:lib/logback-core-1.2.9.jar:lib/logback-classic-1.2.9.jar:lib/slf4j-api-1.7.32.jar
-JUNIT = tests/junit-4.8.2.jar
+ZJG = zabbix-java-gateway.jar
+LIB = /usr/share/java/com.android.json.jar:/usr/share/java/logback-core.jar:/usr/share/java/logback-classic.jar:/usr/share/java/slf4j-api.jar
+JUNIT = /usr/share/java/junit4.jar
 
 ZJG_DEST = $(DESTDIR)$(sbindir)/zabbix_java
 
--- a/src/zabbix_java/settings.sh
+++ b/src/zabbix_java/settings.sh
@@ -1,5 +1,5 @@
 # This is a configuration file for Zabbix Java Gateway.
-# It is sourced by startup.sh and shutdown.sh scripts.
+# It is sourced by "/etc/init.d/zabbix-java-gateway".
 
 ### Option: zabbix.listenIP
 #	IP address to listen on.
@@ -18,13 +18,11 @@
 
 ### Option: zabbix.pidFile
 #	Name of PID file.
-#	If omitted, Zabbix Java Gateway is started as a console application.
 #
 # Mandatory: no
 # Default:
 # PID_FILE=
-
-PID_FILE="/tmp/zabbix_java.pid"
+# PID_FILE="/run/zabbix/zabbix_java_gateway.pid"
 
 ### Option: zabbix.startPollers
 #	Number of worker threads to start.
@@ -49,6 +47,12 @@
 # Default:
 # PROPERTIES_FILE=
 
+### JVM options (passed to /usr/bin/java).
+#
+# Mandatory: no
+#
+# JAVA_OPTIONS="-Xmx256m"
+
 # uncomment to enable remote monitoring of the standard JMX objects on the Zabbix Java Gateway itself
 #JAVA_OPTIONS="$JAVA_OPTIONS -Dcom.sun.management.jmxremote -Dcom.sun.management.jmxremote.port=12345
 #	-Dcom.sun.management.jmxremote.authenticate=false -Dcom.sun.management.jmxremote.ssl=false
--- a/src/zabbix_java/lib/logback.xml
+++ b/src/zabbix_java/lib/logback.xml
@@ -2,16 +2,16 @@
 
 	<appender name="FILE" class="ch.qos.logback.core.rolling.RollingFileAppender">
 
-		<file>/tmp/zabbix_java.log</file>
+		<file>/var/log/zabbix-java-gateway/zabbix_java_gateway.log</file>
 
 		<rollingPolicy class="ch.qos.logback.core.rolling.FixedWindowRollingPolicy">
-			<fileNamePattern>/tmp/zabbix_java.log.%i</fileNamePattern>
+			<fileNamePattern>/var/log/zabbix-java-gateway/zabbix_java_gateway.log.%i.gz</fileNamePattern>
 			<minIndex>1</minIndex>
-			<maxIndex>3</maxIndex>
+			<maxIndex>5</maxIndex>
 		</rollingPolicy>
 
 		<triggeringPolicy class="ch.qos.logback.core.rolling.SizeBasedTriggeringPolicy">
-			<maxFileSize>5MB</maxFileSize>
+			<maxFileSize>10MB</maxFileSize>
 		</triggeringPolicy>
 
 		<encoder>
